export default class Util {
	static normalize(data) {
		const max = Math.max(...data) / 100;

		return data.map(n => Math.round(n / max));
	}

	static scale(data) {
		const max = Math.max(...data);
		const min = Math.min(...data);

		if (max === min) {
			return data.map(() => 50);
		}

		return data.map(n => Math.round(((n - min) / (max - min)) * 100));
	}
}
